package com.aucma.report.domain;

import java.util.List;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 电检数据记录对象 record_electricalinspection
 *
 * @author Yinq
 * @date 2023-11-09
 */
public class RecordElectricalInspection extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识
     */
    @Excel(name = "唯一标识")
    private String uuid;

    /**
     * 测试总结果
     */
    @Excel(name = "测试总结果")
    private String result;

    /**
     * 产品条码
     */
    @Excel(name = "产品条码")
    private String barcode;

    /**
     * 测试时间
     */
    @Excel(name = "测试时间")
    private String testTime;

    /**
     * 测试数据
     */
    @Excel(name = "测试数据")
    private String testData;

    /**
     * 记录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    /**
     * 电检数据明细信息
     */
    private List<DetailElectricalinspection> detailElectricalinspectionList;

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getUuid() {
        return uuid;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getResult() {
        return result;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setTestTime(String testTime) {
        this.testTime = testTime;
    }

    public String getTestTime() {
        return testTime;
    }

    public void setTestData(String testData) {
        this.testData = testData;
    }

    public String getTestData() {
        return testData;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public List<DetailElectricalinspection> getDetailElectricalinspectionList() {
        return detailElectricalinspectionList;
    }

    public void setDetailElectricalinspectionList(List<DetailElectricalinspection> detailElectricalinspectionList) {
        this.detailElectricalinspectionList = detailElectricalinspectionList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("uuid", getUuid())
                .append("result", getResult())
                .append("barcode", getBarcode())
                .append("testTime", getTestTime())
                .append("testData", getTestData())
                .append("recordTime", getRecordTime())
                .append("detailElectricalinspectionList", getDetailElectricalinspectionList())
                .toString();
    }
}
